package com.loafle.overflow.model.infra;

import javax.persistence.*;

import com.loafle.overflow.model.meta.MetaTargetHostType;

/**
 * Created by root on 17. 6. 22.
 */
@Entity(name = "INFRA_HOST")
@Table(name = "INFRA_HOST", schema = "public")
@DiscriminatorValue("2")
public class InfraHost extends Infra {
  private MetaTargetHostType metaTargetHostType;

  @ManyToOne
  @JoinColumn(name = "META_TARGET_HOST_TYPE_ID", nullable = true)
  public MetaTargetHostType getMetaTargetHostType() {
    return metaTargetHostType;
  }

  public void setMetaTargetHostType(MetaTargetHostType metaTargetHostType) {
    this.metaTargetHostType = metaTargetHostType;
  }

}
